com.ibm.openpages.api.workflow

## Interface IWFActivity

-     public interface IWFActivity

  Interface that represents an activity definition. An activity is a piece of work that forms one logical step within a process. A user or automated process is expected to perform one of a transition available for this activity.

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPostAction(IWFAction action)` Append an action to the list of post-actions.
    `void` | `addPreAction(IWFAction action)` Append an action to the list of pre-actions.
    `void` | `addTransition(IWFTransition transition)` Append a transition to the list
    `WFAccessType` | `getAccessType()` Returns the access control type of the activity definition.
    `java.lang.String` | `getBulkGridViewName()` Returns the grid view to use when performing bulk transitions.
    `java.util.List<IWFTransition>` | `getBulkTransitions()` If bulk execution is enabled for this activity, get the list of transitions which can be performed in bulk.
    `IRespViewGuidance` | `getGuidanceOverride()` Returns the guidance of the task focused user interface to override help topic and help text, including localized ones.
    `Id` | `getId()` Returns unique identifier of the process definition
    `java.lang.String` | `getName()` Returns name of the process definition
    `java.lang.String` | `getNameLabel()` Returns the localized name label of the activity for the user session
    `java.util.List<ILabel>` | `getNameLabels()` Returns the activity name labels for all locales
    `IWFActivityNotificationDefinition` | `getNotification()` Get the notification details for the stage
    `java.lang.Boolean` | `getNotifyOversight()` Deprecated.
    `java.util.List<IRespViewField>` | `getObjectFieldOverrides()` Returns the object fields of the task focused user interface to override visibility, editability, and importance.
    `java.util.List<IWFAction>` | `getPostActions()` Returns the list of actions performed right before the workflow transitions out of the activity.
    `java.util.List<IWFAction>` | `getPreActions()` Returns the list of actions performed right after the workflow transitions in to the activity.
    `java.util.List<IRespViewSection>` | `getSectionOverrides()` Returns the sections of the task focused user interface to override visibility and collapsed state.
    `IWFTransition` | `getTransition(java.lang.String transitionName)` Returns a transition for given name.
    `java.util.List<IWFTransition>` | `getTransitions()` Returns the list of transitions that users can possibly select to process.
    `WFActivityType` | `getType()` Returns the type of the activity definition.
    `java.lang.String` | `getViewName()` Returns the name of the view used by the task focused user interface, when a GRC object is on this activity.
    `java.lang.Boolean` | `isBulkEnabled()` Returns whether the activity has transitions which can be performed in bulk.
    `void` | `setAccessType(WFAccessType accessType)` Assigns the access control type of the activity definition.
    `void` | `setBulkEnabled(java.lang.Boolean bulkEnabled)` Assigns whether the activity has transitions which can be performed in bulk.
    `void` | `setBulkGridViewName(java.lang.String gridViewName)` Set the name of the grid view to use when performing bulk transitions.
    `void` | `setBulkTransitions(java.util.List<java.lang.String> transitionNames)` If bulk execution is enabled for this activity, set the list of transitions which can be performed in bulk.
    `void` | `setGuidanceOverride(IRespViewGuidance guidanceOverride)` Assigns the guidance of the task forcust user interface to override help topic and help text.
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of activity name labels
    `void` | `setNotification(IWFActivityNotificationDefinition notification)` Set the notification details for the stage
    `void` | `setNotifyOversight(java.lang.Boolean notifyOversight)` Deprecated. no need to set the notify oversight since it is removed from end stage.
    `void` | `setObjectFieldOverrides(java.util.List<IRespViewField> objectFieldOverrides)` Assigns the object fields of the task focused user interface to override visibility, editability, and importance.
    `void` | `setPostActions(java.util.List<IWFAction> postActions)` Assigns the list of actions performed before the workflow transitions out of the activity.
    `void` | `setPreActions(java.util.List<IWFAction> preActions)` Assigns the list of actions performed after the workflow transitions in to the activity.
    `void` | `setSectionOverrides(java.util.List<IRespViewSection> sectionOverrides)` Assigns the sections of the task focused user interface to override visibility and collapsed state.
    `void` | `setTransitions(java.util.List<IWFTransition> transitions)` Assigns the list of transitions that users can possibly select to process.
    `void` | `setType(WFActivityType type)` Assigns the type of the activity definition.
    `void` | `setViewName(java.lang.String viewName)` Assigns the name of the view used by the task focused user interface.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns unique identifier of the process definition
      Returns:

    - #### getName

          java.lang.String getName()

      Returns name of the process definition
      Returns:

    - #### getNameLabel

          java.lang.String getNameLabel()

      Returns the localized name label of the activity for the user session
      Returns:
        the localized name label as a string

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the activity name labels for all locales
      Returns:
        `ILabel` the activity name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of activity name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getType

          WFActivityType getType()

      Returns the type of the activity definition. Refer `WFActivityType`
      Returns:

    - #### setType

          void setType(WFActivityType type)

      Assigns the type of the activity definition.
      Parameters:
        `type` -

    - #### getAccessType

          WFAccessType getAccessType()

      Returns the access control type of the activity definition. Refer `WFAccessType`
      Returns:

    - #### setAccessType

          void setAccessType(WFAccessType accessType)

      Assigns the access control type of the activity definition.
      Parameters:
        `accessType` -

    - #### getPreActions

          java.util.List<IWFAction> getPreActions()

      Returns the list of actions performed right after the workflow transitions in to the activity. Note that the transition also has the list of actions to perform. The pre-actions for the target activity is performed after the transition actions. Refer `IWorkflowService.processTransition(Id, String)`.
      Returns:

    - #### setPreActions

          void setPreActions(java.util.List<IWFAction> preActions)

      Assigns the list of actions performed after the workflow transitions in to the activity.
      Parameters:
        `preActions` -

    - #### addPreAction

          void addPreAction(IWFAction action)

      Append an action to the list of pre-actions.
      Parameters:
        `action` -

    - #### getPostActions

          java.util.List<IWFAction> getPostActions()

      Returns the list of actions performed right before the workflow transitions out of the activity. Note that the transition also has the list of actions to perform. The post-actions for the source activity is performed before the transition actions. Refer `IWorkflowService.processTransition(Id, String)`.
      Returns:

    - #### setPostActions

          void setPostActions(java.util.List<IWFAction> postActions)

      Assigns the list of actions performed before the workflow transitions out of the activity.
      Parameters:
        `postActions` -

    - #### addPostAction

          void addPostAction(IWFAction action)

      Append an action to the list of post-actions.
      Parameters:
        `action` -

    - #### getTransitions

          java.util.List<IWFTransition> getTransitions()

      Returns the list of transitions that users can possibly select to process. The name of the transition has to be unique among the list.
      Returns:

    - #### getTransition

          IWFTransition getTransition(java.lang.String transitionName)

      Returns a transition for given name.
      Parameters:
        `transitionName` -
      Returns:

    - #### setTransitions

          void setTransitions(java.util.List<IWFTransition> transitions)

      Assigns the list of transitions that users can possibly select to process.
      Parameters:
        `transitions` -

    - #### addTransition

          void addTransition(IWFTransition transition)

      Append a transition to the list
      Parameters:
        `transition` -

    - #### getViewName

          java.lang.String getViewName()

      Returns the name of the view used by the task focused user interface, when a GRC object is on this activity.
      Returns:

    - #### setViewName

          void setViewName(java.lang.String viewName)

      Assigns the name of the view used by the task focused user interface.
      Parameters:
        `viewName` -

    - #### getGuidanceOverride

          IRespViewGuidance getGuidanceOverride()

      Returns the guidance of the task focused user interface to override help topic and help text, including localized ones.
      Returns:

    - #### setGuidanceOverride

          void setGuidanceOverride(IRespViewGuidance guidanceOverride)

      Assigns the guidance of the task forcust user interface to override help topic and help text.
      Parameters:
        `guidanceOverride` -

    - #### getObjectFieldOverrides

          java.util.List<IRespViewField> getObjectFieldOverrides()

      Returns the object fields of the task focused user interface to override visibility, editability, and importance.
      Returns:

    - #### setObjectFieldOverrides

          void setObjectFieldOverrides(java.util.List<IRespViewField> objectFieldOverrides)

      Assigns the object fields of the task focused user interface to override visibility, editability, and importance.
      Parameters:
        `objectFieldOverrides` -

    - #### getSectionOverrides

          java.util.List<IRespViewSection> getSectionOverrides()

      Returns the sections of the task focused user interface to override visibility and collapsed state.
      Returns:

    - #### setSectionOverrides

          void setSectionOverrides(java.util.List<IRespViewSection> sectionOverrides)

      Assigns the sections of the task focused user interface to override visibility and collapsed state.
      Parameters:
        `sectionOverrides` -

    - #### getNotifyOversight

          java.lang.Boolean getNotifyOversight()

      Deprecated.
      Returns if notify oversight when reached an end stage.
      Returns:

    - #### setNotifyOversight

          void setNotifyOversight(java.lang.Boolean notifyOversight)

      Deprecated. no need to set the notify oversight since it is removed from end stage.
      Assigns if notify oversight when reached an end stage.
      Parameters:
        `notifyOversight` -

    - #### setNotification

          void setNotification(IWFActivityNotificationDefinition notification)

      Set the notification details for the stage
      Parameters:
        `notification` -
      Since:
        8.2.0.1

    - #### getNotification

          IWFActivityNotificationDefinition getNotification()

      Get the notification details for the stage
      Returns:
        the activity notification details
      Since:
        8.2.0.1

    - #### isBulkEnabled

          java.lang.Boolean isBulkEnabled()

      Returns whether the activity has transitions which can be performed in bulk.
      Returns:

    - #### setBulkEnabled

          void setBulkEnabled(java.lang.Boolean bulkEnabled)

      Assigns whether the activity has transitions which can be performed in bulk.
      Parameters:
        `bulkEnabled` -

    - #### getBulkGridViewName

          java.lang.String getBulkGridViewName()

      Returns the grid view to use when performing bulk transitions.
      Returns:

    - #### setBulkGridViewName

          void setBulkGridViewName(java.lang.String gridViewName)

      Set the name of the grid view to use when performing bulk transitions.
      Parameters:
        `gridViewName` -

    - #### getBulkTransitions

          java.util.List<IWFTransition> getBulkTransitions()

      If bulk execution is enabled for this activity, get the list of transitions which can be performed in bulk.
      Returns:

    - #### setBulkTransitions

          void setBulkTransitions(java.util.List<java.lang.String> transitionNames)

      If bulk execution is enabled for this activity, set the list of transitions which can be performed in bulk.
      Parameters:
        `transitionNames` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.